# TODO:
# - use XML ISO entities from sgml-common
%define ver	4.1.2
%define sver	412
Summary:	XML/SGML DocBook DTD 4.1.2
Summary(pl.UTF-8):	XML/SGML DocBook DTD 4.1.2
Name:		docbook-dtd%{sver}-xml
Version:	1.0
Release:	14%{?tld}
License:	Free
Group:		Applications/Publishing/XML
Source0:	http://www.oasis-open.org/docbook/xml/%{ver}/docbkx%{sver}.zip
# Source0-md5:	0d5a4a999a2d7b2e77a46bd069301caf
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	libxml2-progs
BuildRequires:	rpm-build >= 4.0.2-94
BuildRequires:	unzip
Requires(post,preun):	/usr/bin/install-catalog
Requires(post,preun):	/usr/bin/xmlcatalog
Requires:	libxml2-progs >= 2.4.17-6
Requires:	sgml-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	dtd_path		%{_datadir}/sgml/docbook/xml-dtd-%{ver}
%define	xmlcat_file		%{dtd_path}/catalog.xml
%define	sgmlcat_file		%{dtd_path}/catalog

%description
DocBook is an XML/SGML vocabulary particularly well suited to books
and papers about computer hardware and software (though it is by no
means limited to only these applications). This package contains
DocBook 4.1.2 XML DTD.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów XML/SGML przeznaczonych
do tworzenia dokumentacji technicznej. Stosowany jest do pisania
podręczników systemowych, instrukcji jak i wielu innych ciekawych
rzeczy. Ten pakiet zawiera wersję DocBook 4.1.2 XML.

%prep
%setup -q -c
chmod -R a+rX *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dtd_path}

install *.{dtd,mod} $RPM_BUILD_ROOT%{dtd_path}
cp -a ent $RPM_BUILD_ROOT%{dtd_path}

%docbook_sgmlcat_fix $RPM_BUILD_ROOT%{sgmlcat_file} %{ver}

grep -v 'ISO ' docbook.cat >> $RPM_BUILD_ROOT%{sgmlcat_file}

%xmlcat_create $RPM_BUILD_ROOT%{xmlcat_file}

%xmlcat_add_rewrite \
	http://www.oasis-open.org/docbook/xml/%{ver} \
	file://%{dtd_path} \
	$RPM_BUILD_ROOT%{xmlcat_file}

grep PUBLIC docbook.cat|grep -v ISO | \
sed 's/^/xmlcatalog --noout --add /;s/PUBLIC/public/;s=$= '$RPM_BUILD_ROOT'/%{xmlcat_file}=' | sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q /etc/sgml/xml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	%sgmlcat_add /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

fi
if ! grep -q %{dtd_path}/catalog.xml /etc/xml/catalog ; then
	%xmlcat_add %{xmlcat_file}

fi

%preun
if [ "$1" = "0" ] ; then
	%sgmlcat_del /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

	%xmlcat_del %{xmlcat_file}

fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{dtd_path}
%changelog
* Mon Apr 22 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/docbook-dtd412-xml.git;a=log;h=master

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 91df84a
- mention DocBook version in descriptions

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> 57f3314
- spec refreshed, was very dusty

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fbdbe3
- release 14

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ebf8275
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 779c257
- converted to UTF-8

* Mon Apr 18 2005 Mariusz Mazur <mmazur@pld-linux.org> 00f015b
- rel 13 for th

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> b13eeed
- release 12 for Ac (11 is for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 95e220a
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 894ffe4
- massive attack s/pld.org.pl/pld-linux.org/

* Tue Dec 31 2002 Tomasz Pala <gotar@pld-linux.org> 0efb7d8
- cut off Vendor, cosmetics

* Tue Nov 05 2002 ankry <ankry@pld-linux.org> cb0f05c
- fix %%docbook_sgmlcat_fix use, rel. 11

* Sun Oct 06 2002 wrobell <wrobell@pld-linux.org> 77a8bd2
- s/dtdpath/dtd_path/

* Sun Oct 06 2002 Jakub Bogusz <qboosh@pld-linux.org> 29e952e
- fixed typo - now rewriteSystem rule is added
- release 10

* Mon Sep 30 2002 ankry <ankry@pld-linux.org> 7aa42af
- BR: rpm-build >= 4.0.2-94 (for macro definitions)
- s/sgmlcat_fix/docbook_sgmlcat_fix/ - this macro is really defined

* Sat Sep 28 2002 aflinta <aflinta@pld-linux.org> d483523
- tons of typos fixes

* Fri Sep 27 2002 wrobell <wrobell@pld-linux.org> 532fd35
- use sgml macros
- rel. 9

* Wed Sep 11 2002 Jakub Bogusz <qboosh@pld-linux.org> 56504f7
- more requires; release 8

* Tue Sep 10 2002 kloczek <kloczek@pld-linux.org> 7846f5c
- release 7.

* Tue Sep 10 2002 kloczek <kloczek@pld-linux.org> 1ed2549
- spec adapterized.

* Tue Sep 10 2002 wrobell <wrobell@pld-linux.org> 7432c22
- summaries and description changed

